curl --request GET \
--url https://api.platform.dakota.xyz/fx/quotes/{quote_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/fx/quotes/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/fx/quotes/{quote_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/fx/quotes/{quote_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"direction": "outgoing",
"mode": "fixed",
"amount_side": "destination",
"status": "issued",
"source_asset": "USDT",
"destination_asset": "EUR",
"funding_asset": "USDT",
"target_currency": "EUR",
"quote_id": "2d807845-bdbf-4d52-905a-5d46a6c87b1b",
"target_amount": "800",
"funding_amount": "1227.06767",
"funding_amount_smallest_units": "1227067670",
"funding_decimals": 6,
"expires_at": "2026-09-17T13:40:00Z",
"eligible_networks": [
"eip155:8453"
]
}{
"direction": "outgoing",
"mode": "fixed",
"amount_side": "destination",
"status": "pending",
"source_asset": "USDT",
"destination_asset": "EUR",
"funding_asset": "USDT",
"target_currency": "EUR",
"quote_id": "2d807845-bdbf-4d52-905a-5d46a6c87b1b"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}Get an owned one-off FX quote
Reads immutable quote terms, including after the one-off has been used. This does not reserve credits or refresh pricing.
curl --request GET \
--url https://api.platform.dakota.xyz/fx/quotes/{quote_id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.platform.dakota.xyz/fx/quotes/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/fx/quotes/{quote_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/fx/quotes/{quote_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"direction": "outgoing",
"mode": "fixed",
"amount_side": "destination",
"status": "issued",
"source_asset": "USDT",
"destination_asset": "EUR",
"funding_asset": "USDT",
"target_currency": "EUR",
"quote_id": "2d807845-bdbf-4d52-905a-5d46a6c87b1b",
"target_amount": "800",
"funding_amount": "1227.06767",
"funding_amount_smallest_units": "1227067670",
"funding_decimals": 6,
"expires_at": "2026-09-17T13:40:00Z",
"eligible_networks": [
"eip155:8453"
]
}{
"direction": "outgoing",
"mode": "fixed",
"amount_side": "destination",
"status": "pending",
"source_asset": "USDT",
"destination_asset": "EUR",
"funding_asset": "USDT",
"target_currency": "EUR",
"quote_id": "2d807845-bdbf-4d52-905a-5d46a6c87b1b"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#not-found",
"title": "Customer Not Found",
"status": 404,
"detail": "Customer cst_2abc123 was not found in your organization.",
"instance": "https://api.platform.dakota.xyz/customers/cst_2abc123",
"request_id": "req_7f3a8b2c"
}Authorizations
Path Parameters
Query Parameters
Owned Platform one-off used to scope this immutable fixed quote. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.
27^[0-9A-Za-z]{27}$"1NFHrqBHb3cTfLVkFSGmHZqdDPi"
Response
Current quote or indicative estimate.
outgoing Same amount_side vocabulary as the request. Source pins the funding token quantity; destination pins the foreign delivery amount.
source, destination indicative, fixed estimated, pending, issued, reconciling, funded, review, cancelled Canonical source asset; equal to funding_asset.
USDC, USDT, RD Canonical destination asset; equal to target_currency.
^[A-Z]{3}$Economic snapshot alias of source_asset.
USDC, USDT, RD Economic snapshot alias of destination_asset.
^[A-Z]{3}$Present for durable fixed requests, including pending requests.
Whole-token quantity, including the developer fee. Never an assumed USD equivalent.
^[1-9][0-9]*$0 <= x <= 18Networks covered by this fixed quote. Use the existing receiving address; reader evidence is private.
Was this page helpful?

